Op
Date: 2015-04-18

mpi

## Class Op

- java.lang.Object
- - mpi.Op

-     public class Op
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `opCode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Op(User_function function, boolean commute)` Bind a user-defined global reduction operation to an `Op` object.
    `Op(User_function function, boolean commute, int opCode_)` Bind a user-defined global reduction operation to an `Op` object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `finalize()`
    `void` | `free()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### opCode

          public int opCode

  - ### Constructor Detail

    - #### Op

          public Op(User_function function,
            boolean commute)
             throws MPIException

      Bind a user-defined global reduction operation to an `Op` object.

      `function` | user defined function
      `commute` | `true` if commutative, `false` otherwise

      Java binding of the MPI operation `MPI_OP_CREATE`.

      Throws:
        `MPIException`

    - #### Op

          public Op(User_function function,
            boolean commute,
            int opCode_)
             throws MPIException

      Bind a user-defined global reduction operation to an `Op` object.

      `function` | user defined function
      `commute` | `true` if commutative, `false` otherwise

      Java binding of the MPI operation `MPI_OP_CREATE`.

      Throws:
        `MPIException`

  - ### Method Detail

    - #### free

          public void free()
                    throws MPIException

      Throws:
        `MPIException`

    - #### finalize

          public void finalize()
                        throws MPIException

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `MPIException`